use super::handle::*;

#[derive(Copy, Clone, PartialEq)]
pub struct MeshInstance {
    pub mesh: MeshHandle,
    pub albedo: TextureHandle,
    pub transform: glam::Mat4,
}

#[derive(Copy, Clone, PartialEq)]
pub struct PointLight {
    pub center: glam::Vec3A,
    pub intensity: glam::Vec3A,
}
